package com.gxzc.zen.config

import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.stereotype.Component


open class DruidProperties{
    var url:String?=null
    var username:String?=null
    var password:String?=null
    var filters:String?=null

    var driverClassName:String?="com.mysql.jdbc.Driver"
    var initialSize:Int?=5
    var minIdle:Int?=5
    var maxActive:Int?=20
    var maxWait:Long?=60000

    var timeBetweenEvictionRunsMillis:Long?=null
    var minEvictableIdleTimeMillis:Long?=null
    var validationQuery:String?=null
    var testWhileIdle:Boolean?=null
    var testOnBorrow:Boolean?=null
    var testOnReturn:Boolean?=null
}

@Component
@ConfigurationProperties(prefix = "druid.view")
class DruidViewProperties{
//    var enable:Boolean?=false
    var username:String?=null
    var password:String?=null
    var slowsql:String?=null
}

@Component
@ConfigurationProperties(prefix = "druid.datasource-sys")
class SysDruidProperties:DruidProperties()